Loading...
Searching...
No Matches
csv.hpp File Reference
`#include "../argagg.hpp"`
`#include <vector>`

Go to the source code of this file.

## Classes

struct | argagg::csv< T >
| Represents a list of comma-separated values. This is defined as a new type to embed the delimiter semantics into the type (if it was just a std::vector then it's not clear what the delimiter is). More...
struct | argagg::convert::converter< csv< T > >
| Partially specializes argagg::convert::converter for the argagg::csv type. More...

## Namespaces

namespace | argagg
| There are only two hard things in Computer Science: cache invalidation and naming things (Phil Karlton).
namespace | argagg::convert
| The set of template instantiations that convert C-strings to other types for the option_result::as(), option_results::as(), parser_results::as(), and parser_results::all_as() methods are placed in this namespace.

## Macros

#define | ARGAGG_ARGAGG_CONVERT_CSV_HPP

## Macro Definition Documentation

## ARGAGG_ARGAGG_CONVERT_CSV_HPP

#define ARGAGG_ARGAGG_CONVERT_CSV_HPP

Definition at line 33 of file csv.hpp.